Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  object Reporting
  Definition Classes
    nsc
-  object MessageFilter
  Definition Classes
    Reporting
- Any
- Category
- DeprecatedOrigin
- DeprecatedSince
- MessagePattern
- SitePattern
- SourcePattern

c

scala.tools.nsc.Reporting.MessageFilter

# DeprecatedSince

###

#### final case class DeprecatedSince(comp: Int, version: ParseableVersion) extends MessageFilter with Product with Serializable

Source
  Reporting.scala

Linear Supertypes
java.io.Serializable, Product, Equals, MessageFilter, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeprecatedSince
2. Serializable
3. Product
4. Equals
5. MessageFilter
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DeprecatedSince(comp: Int, version: ParseableVersion)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DeprecatedSince toany2stringadd[DeprecatedSince] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DeprecatedSince, B)
   Implicit
     This member is added by an implicit conversion from DeprecatedSince toArrowAssoc[DeprecatedSince] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val comp: Int
9.  def ensuring(cond: (DeprecatedSince) => Boolean, msg: => Any): DeprecatedSince
   Implicit
     This member is added by an implicit conversion from DeprecatedSince toEnsuring[DeprecatedSince] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (DeprecatedSince) => Boolean): DeprecatedSince
    Implicit
      This member is added by an implicit conversion from DeprecatedSince toEnsuring[DeprecatedSince] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): DeprecatedSince
    Implicit
      This member is added by an implicit conversion from DeprecatedSince toEnsuring[DeprecatedSince] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): DeprecatedSince
    Implicit
      This member is added by an implicit conversion from DeprecatedSince toEnsuring[DeprecatedSince] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DeprecatedSince toStringFormat[DeprecatedSince] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  def matches(message: Message): Boolean
    Definition Classes
      DeprecatedSince → MessageFilter
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def productElementNames: Iterator[String]
    Definition Classes
      Product
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  val version: ParseableVersion
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (DeprecatedSince, B)
   Implicit
     This member is added by an implicit conversion from DeprecatedSince toArrowAssoc[DeprecatedSince] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from MessageFilter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDeprecatedSince to any2stringadd[DeprecatedSince]

### Inherited by implicit conversion StringFormat fromDeprecatedSince to StringFormat[DeprecatedSince]

### Inherited by implicit conversion Ensuring fromDeprecatedSince to Ensuring[DeprecatedSince]

### Inherited by implicit conversion ArrowAssoc fromDeprecatedSince to ArrowAssoc[DeprecatedSince]

### Ungrouped